Bug 149430 - makeinfo dies - have better patch than in current src rpm
Summary: makeinfo dies - have better patch than in current src rpm
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Ben Levenson
URL: http://lists.gnu.org/archive/html/bug...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 22:59 UTC by Kyle Bateman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.8-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 03:29:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Not a patch for texinfo -- just to demonstrate bug (60.79 KB, text/plain)
2005-02-22 22:59 UTC, Kyle Bateman
no flags Details
The texinfo patch formatted and ready to use in place of texinfo-fix.patch (3.24 KB, patch)
2005-02-22 23:02 UTC, Kyle Bateman
no flags Details | Diff

Description Kyle Bateman 2005-02-22 22:59:36 UTC
Description of problem: makeinfo dies when building certain files.  This is
evident for me when building a patched (for use with bdm) copy of gdb.6.1. 
Whatever additions are made into the gdb.texinfo file, seem to expose this bug.

Version-Release number of selected component (if applicable): 4.7-5


How reproducible:
Build patched version of gdb with stock Fedora 3 version of texinfo on board. 
You get the cryptic error:

gdb.info: Bad address

and the build aborts.  Now patch and rebuild texinfo with the patch from the URL
referenced above.  Use this patch INSTEAD of the patch file: texinfo-fix.patch
which is part of the current source rpm.  The patch I suggest modifies the same
line (in a different way) along with a bunch of other changes.

The patched makeinfo will now work without crashing on the same gdb.texinfo file.


Steps to Reproduce:
1. download ftp://ftp.gnu.org/pub/gnu/gdb-6.1.tar.gz
2. download attached bdm patch for gdb (used to expose bug)
3. tar xzvf gdb-6.1.tar.gz
4. cd gdb-6.1
5. patch -p1 <gdb-6.1-bdm-m68k.patch
6. cd ..
7. mkdir gdb-build
8. cd gdb-build
9. ../gdb-6.1/configure
10. make info
  
Actual results:
Somewhere in the build, makeinfo gives error: Bad address and exits prematuresly

Expected results:
Build should complete successfully

Additional info:

Comment 1 Kyle Bateman 2005-02-22 22:59:37 UTC
Created attachment 111311 [details]
Not a patch for texinfo -- just to demonstrate bug

Comment 2 Kyle Bateman 2005-02-22 23:02:30 UTC
Created attachment 111312 [details]
The texinfo patch formatted and ready to use in place of texinfo-fix.patch

Here is the referenced patch (which I applied by hand in order to undo
texinfo-fix.patch) and then re-diffed in a format ready to drop into the source
rpm if wanted.

Comment 3 Tim Waugh 2005-02-23 09:11:43 UTC
Does this happen with the texinfo in rawhide (4.8)?

Comment 4 Miloslav Trmač 2006-01-16 03:29:13 UTC
FC 3 now contains texinfo-4.8-2.2, which includes changes similar to your patch.

Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.